Subject: Re: PowerPC radeon KMS - is it possible?

From: Michel Dänzer <[email-masked]>
Date: Wed, 18 Apr 2012 12:54:06 +0200

On Mit, 2012-04-18 at 20:37 +1000, Benjamin Herrenschmidt wrote: 
> On Wed, 2012-04-18 at 20:35 +1000, Benjamin Herrenschmidt wrote:
> > On Wed, 2012-04-18 at 09:46 +0200, Andreas Schwab wrote:
> > > Benjamin Herrenschmidt <[email-masked]> writes:
> > > 
> > > > Note also that KMS doesn't afaik have the power management code that
> > > > radeonfb has for those old Mac chipsets, so suspend/resume won't work.
> > > 
> > > How hard would it be to add it?
> > 
> > The code itself is relatively self contained, but the KMS power
> > management side is a bit ... messy :-)

That's an interesting way to put it, given the hacks to make it work
between radeonfb and uninorth_agp. :) (Which are complicating making at
least hibernation work with KMS on uninorth_agp)

In contrast, radeon KMS uses the standard Linux device suspend/resume
hooks.

> > So the real deal is to figure out how best to "hook it up" there.
> > 
> > There's some duplication 
> 
> Argh... bloody x220 touchpad...
> 
> So I was saying, there's also some duplication in the area of dynamic
> clocks configuration. Some of this could be an issue as afaik, to work
> reliably, the suspend/resume code really wants the stuff to be setup
> exactly the way the code in radeon_pm does....

Are you referring to radeon_pm in radeonfb or radeon KMS?

Most of the latter isn't used on PPC laptops because it relies on an x86
video BIOS.

-- 
Earthling Michel Dänzer           |                   http://www.amd.com
Libre software enthusiast         |          Debian, X and DRI developer